<template>
  <div class="flex items-center p-5 bg-white border-b-2">
    <!-- Logo -->
    <router-link to="/myprofile">
      <div class="flex items-center">
        <img src="../assets/logo.png" alt="Logo" class="w-12">
        <p class="text-xl ml-5">Bug tracker</p>
      </div>
    </router-link>
    <!-- Navbar si user connecté -->
    <div v-if="logedIn" class="flex ml-auto">
      <router-link to="/myprofile" class="px-2 py-1 mr-10 border-2 border-black rounded">Profil</router-link>
      <p @click="logout" class="cursor-pointer px-2 py-1 mr-10 border-2 border-yellow-600 rounded transition-all hover:text-white hover:bg-yellow-600">Déconnexion {{ currentUser.name }}</p>
    </div>
    <!-- Navbar si user non connecté -->
    <div v-else class="flex ml-auto">
      <router-link to="/registration" class="cursor-pointer px-2 py-1 mr-10 border-2 border-black rounded">Inscription</router-link>
      <router-link to="/login" class="cursor-pointer px-2 py-1 mr-10 border-2 border-yellow-600 rounded transition-all hover:text-white hover:bg-yellow-600">Connexion</router-link>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Header',
  props: {
    logedIn: Boolean,
    currentUser: {},
    logout: Function
  },
}
</script>
